Infront Data Manager Connect Client (.NET)

Public Member Functions | Properties | List of all members
Gevasys.DataCore.StaticData.Http.RoutingDataConsumer Class Reference

More...

Inherits Gevasys.DataCore.StaticData.IRoutingDataConsumer.

## Public Member Functions
| RoutingDataConsumer (String wsdlurl)
| Provides access to static data functions and file downloads. More...
bool | Initialize ()
| Initializes the consumer. More...
bool | DownloadFile (string requestedFileName, string outputFileName)
| Synchronous file download. More...
void | DownloadFileAsync (string requestedFileName, string outputFileName, IAsyncCallback callback, object userState)
| Asynchronous file download. More...
StaticDataResponse | CallFunction (string functionName, string inputFormat, string outputFormat, byte[] postData)
| Synchronous call of a static data function. More...
void | CallFunctionAsync (string functionName, string inputFormat, string outputFormat, byte[] postData, IAsyncRouteCallback callback, object userState)
| Asynchrounus calls of a static data function. More...
void | Start ()
| Starts the consumer. More...
bool | GetIsAlive ()
| Indicates if this consumer is alive. More...
void | Stop ()
| Stops the consumer. More...

## Properties
static int | MaxRetryAttemps = 5`[get, set]`
static int | Interval = 5 * 60 * 1000`[get, set]`

## Detailed Description

Class that provides functions to download files and access to static data.

Communication is done via HTTP 1.1 connections.

Do not use this class directly. Instead use Routing Data Store.

## Constructor & Destructor Documentation

## ◆ RoutingDataConsumer()

Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.RoutingDataConsumer | ( | String | wsdlurl | ) |
| inline

Provides access to static data functions and file downloads.

Parameters

  wsdlurl | Remote service url.

## Member Function Documentation

## ◆ CallFunction()

StaticDataResponse Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.CallFunction | ( | string | functionName,
|  | string | inputFormat,
|  | string | outputFormat,
|  | byte[] | postData
| ) |  |
| inline

Synchronous call of a static data function.

Parameters

  functionName | Function name. See Request Server documentation.
  inputFormat | Data format of the input message(PROTO, JSON, XML)
  outputFormat | Data format of the output message(PROTO, JSON, XML)
  postData | Serialized message data.

Returns
  True if the call was successfull, otherwise false.

## ◆ CallFunctionAsync()

void Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.CallFunctionAsync | ( | string | functionName,
|  | string | inputFormat,
|  | string | outputFormat,
|  | byte[] | postData,
|  | IAsyncRouteCallback | callback,
|  | object | userState
| ) |  |
| inline

Asynchrounus calls of a static data function.

Parameters

  functionName | Function name. See Request Server documentation.
  inputFormat | Data format of the input message(PROTO, JSON, XML)
  outputFormat | Data format of the output message(PROTO, JSON, XML)
  postData | Serialized message data.
  callback | Callback function.
  userState | Optional user defined object that is returned in the callback function.

## ◆ DownloadFile()

bool Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.DownloadFile | ( | string | requestedFileName,
|  | string | outputFileName
| ) |  |
| inline

Synchronous file download.

Parameters

  requestedFileName | Remote file name.
  outputFileName | Local file name with.

Returns
  True if download was successfull, otherwise false.

## ◆ DownloadFileAsync()

void Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.DownloadFileAsync | ( | string | requestedFileName,
|  | string | outputFileName,
|  | IAsyncCallback | callback,
|  | object | userState
| ) |  |
| inline

Asynchronous file download.

Parameters

  requestedFileName | Remote file name.
  outputFileName | Local file name with.
  callback | Callback function. Funciton is called after the the download completed or failed.
  userState | Optional user defined object.

## ◆ GetIsAlive()

bool Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.GetIsAlive | ( |  | ) |
| inline

Indicates if this consumer is alive.

Returns
  True if the consumer is alive, otherwise false.

## ◆ Initialize()

bool Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.Initialize | ( |  | ) |
| inline

Initializes the consumer.

Returns

## ◆ Start()

void Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.Start | ( |  | ) |
| inline

Starts the consumer.

## ◆ Stop()

void Gevasys.DataCore.StaticData.Http.RoutingDataConsumer.Stop | ( |  | ) |
| inline

Stops the consumer.

The documentation for this class was generated from the following file:

- RoutingDataConsumer.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1